<!DOCTYPE html>
<html lang="en">
	<meta charset="UTF-8" />
	<meta http-equiv="X-UA-Compatible" content="IE=edge" />
	<meta name="viewport" content="width=device-width, initial-scale=1.0" />
	<!-- displays site properly based on user's device -->
	<link
		rel="icon"
		type="image/png"
		sizes="32x32"
		href="./images/favicon-32x32.png"
	/>
	<link rel="preconnect" href="https://fonts.googleapis.com" />
	<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
	<link
		href="https://fonts.googleapis.com/css2?family=Montserrat:wght@400;500;700&display=swap "
		rel="stylesheet"
	/>
	<script
		src="https://kit.fontawesome.com/7acc935464.js"
		crossorigin="anonymous"
	></script>
	<link rel="stylesheet" href="contacts.css" />
	<!-- <link rel="stylesheet" href="style.css" /> -->
	<title>Contact Us</title>
	<body>
		<nav>
			<div class="nav-menu">
				<ul>
					<li><a href="/index.html">Home</a></li>
					<li><a href="#">About Us</a></li>
					<li><a href="/contacts.html">Contact Us</a></li>
					<li><a href="#">Login</a></li>
					<li><a href="#">Sign Up</a></li>
				</ul>
			</div>
		</nav>
		<div class="contact-heading">
			<h1>Contact Us</h1>
		</div>
		<div class="contact-card">
			<div class="contact-card-blocks">
				<h1>Address</h1>
				<br />
				<p>
					4th Floor, 91springboard, No 22, Salarpuria Towers-I Industrial
					Layout, Hosur Rd, 7th Block, Koramangala, Bengaluru 560095
				</p>
				<iframe
					src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d3888.602206350961!2d77.60984591531319!3d12.933269290881098!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x3bae14526d47175f%3A0x8a51177fba6ca896!2s91springboard%207th%20Block%2C%20Koramangala!5e0!3m2!1sen!2sin!4v1632392832842!5m2!1sen!2sin"
					width="300"
					height="300"
					style="border: 0"
					allowfullscreen=""
					loading="lazy"
					padding="1rem"
				></iframe>
			</div>
			<div class="contact-card-blocks">
				<h1>Need Some Help ?</h1>
				<div id="error"></div>
				<form id="contact" action="/" method="GET">
					<fieldset>
						<input
							id="name"
							placeholder="Your name"
							type="text"
							tabindex="1"
							autofocus
						/>
					</fieldset>
					<fieldset>
						<input
							id="email"
							placeholder="Your Email Address"
							type="email"
							tabindex="2"
							required
						/>
					</fieldset>

					<fieldset>
						<textarea
							id="info"
							placeholder="How can we help you ?"
							tabindex="3"
						></textarea>
					</fieldset>
					<fieldset>
						<button name="submit" type="submit" id="contact-submit">
							Submit
						</button>
					</fieldset>
				</form>
				<h5>We will respond soon!</h5>
			</div>
			<div class="contact-card-blocks">
				<h1>Follow us</h1>
				<p>
					<a href="www.facebook.com"><i class="fab fa-facebook-square"></i></a>
				</p>
				<p>
					<a href="www.linkedin.com"><i class="fab fa-linkedin"></i></a>
				</p>

				<p>
					<a href="www.twitter.com"><i class="fab fa-twitter"></i></a>
				</p>
				<p>
					<a href="mailto:hello@mountblue.io"
						><i class="fas fa-envelope"></i
					></a>
				</p>
			</div>
		</div>
		<script>
			const name = document.getElementById("name");
			const textarea = document.getElementById("info");
			const form = document.getElementById("contact");
			const errorElement = document.getElementById("error");
			form.addEventListener("submit", (e) => {
				let messages = [];
				if (name.value === "" || name.value == null) {
					messages.push("Name is required");
				}
				if (textarea.value === "" || textarea.value == null) {
					messages.push("Your Info is empty. Please type your query! ");
				}
				if (messages.length > 0) {
					e.preventDefault();
					errorElement.innerText = messages.join(", ");
				}
			});
		</script>
	</body>
</html>
